org.apache.commons.math.exception

## Class NotStrictlyPositiveException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalArgumentException
        - - org.apache.commons.math.exception.MathIllegalArgumentException
          - - org.apache.commons.math.exception.MathIllegalNumberException
            - - org.apache.commons.math.exception.NumberIsTooSmallException
              - - org.apache.commons.math.exception.NotStrictlyPositiveException

All Implemented Interfaces:
  Serializable, MathThrowable

    public class NotStrictlyPositiveException
    extends NumberIsTooSmallException

Exception to be thrown when the argument is negative.

Since:
  2.2
Version:
  $Revision$ $Date$
See Also:
  Serialized Form

### Field Summary

Fields
`private static long` `serialVersionUID` Serializable version Id.

### Constructor Summary

Constructors
Constructor and Description
`NotStrictlyPositiveException(Localizable specific, Number value)` Construct the exception with a specific context.
`NotStrictlyPositiveException(Number value)` Construct the exception.

### Method Summary

### Methods inherited from class org.apache.commons.math.exception.NumberIsTooSmallException

`getBoundIsAllowed, getMin`

### Methods inherited from class org.apache.commons.math.exception.MathIllegalNumberException

`getArgument`

### Methods inherited from class org.apache.commons.math.exception.MathIllegalArgumentException

`getArguments, getGeneralPattern, getLocalizedMessage, getMessage, getMessage, getSpecificPattern`

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### serialVersionUID

    private static final long serialVersionUID

Serializable version Id.

See Also:
  Constant Field Values

### Constructor Detail

#### NotStrictlyPositiveException

    public NotStrictlyPositiveException(Number value)

Construct the exception.

Parameters:
  `value` - Argument.

#### NotStrictlyPositiveException

    public NotStrictlyPositiveException(Localizable specific,
                                Number value)

Construct the exception with a specific context.

Parameters:
  `specific` - Specific context where the error occurred.
  `value` - Argument.